com.trendmicro.ds.platform.rest.api

## Interface ISuspiciousObjectsAPI

-     @Path(value="/suspicious-objects")
       @Produces(value="application/json")
      public interface ISuspiciousObjectsAPI

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(java.lang.String sessionId)` Clear the suspicious objects list
    `UpdateSuspiciousObjectsListResponse` | `update(java.lang.String sessionId, boolean update, boolean deploy)` Update the suspicious objects list.

- - ### Method Detail

    - #### update

          @POST
          UpdateSuspiciousObjectsListResponse update(@CookieParam(value="sID")
                                                           java.lang.String sessionId,
                                                           @QueryParam(value="update") @DefaultValue(value="true")
                                                           boolean update,
                                                           @QueryParam(value="deploy") @DefaultValue(value="false")
                                                           boolean deploy)
                                                    throws java.lang.Exception

      Update the suspicious objects list.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `update` - use to update the suspicious object list from the Trend Micro Control Manager. Default value is `true` (optional).
        `deploy` - use to deploy suspicious object list to agents after suspicious object updated. Default value is `false` (optional).
      Returns:
        a `UpdateSuspiciousObjecstListResponse` carry the last query time and last update time of suspicious object list. If update action encounter unexpected error will return a response `500 Internal Server Error` with body `SuspiciousObjectsUpdtaeError`. If deploy action encounter unexpected error will return a response `500 Internal Server Error` with body `SuspiciousObjectsDeployError`. If update and deploy parameters are all set true, it will perform update suspicious object list first then deploy it to agents. Deploy step will not be performed if update step encounter unexpected error.
      Throws:
        `java.lang.Exception`

    - #### clear

          @DELETE
          void clear(@CookieParam(value="sID")
                             java.lang.String sessionId)
                      throws java.lang.Exception

      Clear the suspicious objects list
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.